%define distversion %( perl -e '$_=\<\>;/(\\d+)\\.(\\d)/; print "$1.$2"' /etc/*-release)
Name: kallers
Summary: %{name} -- KDE Caller ID Tray Applet
Version: 0.3.0
Release: 02
Copyright: GPL
Group: X11/KDE/Utilities
Source: http://www.nadmm.com/kallers/src/%{name}-%{version}.tar.gz
Packager: Nadeem Hasan <nhasan@nadmm.com>
BuildRoot: /tmp/%{name}-%{version}
Prefix: `kde-config --prefix`

%description
This is a KDE Caller ID tray applet.  This version is compiled for %{_vendor}  %{distversion}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}-%{version}
WANT_AUTOCONF_2_5=1 make -f admin/Makefile.common
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
        --disable-debug --enable-final --prefix=%{prefix} \
        -with-install-root=$RPM_BUILD_ROOT

%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/%{name}-master.list
find . -type f -o -type l | sed 's|^\.||' >> $RPM_BUILD_DIR/%{name}-master.list

%clean
#rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_DIR/%{name}-master.list

%files -f ../%{name}-master.list

